arxunpak(1)

NAME
arxunpak - Extract the Arx Fatalis .pak files containing the game assets

SYNOPSIS
arxunpak [options] [--] pakfiles ... arxunpak [options] [--all]

DESCRIPTION
arxunpak extracts the .pak files containing the game assets of Arx Fatalis. This is not required to run Arx Libertatis but can be useful for development. All no-option arguments are interpreted as files to extract. If no .pak files are specified on the command-line, the --all option is enabled by default. In this case all files are extracted to the "unpacked" subdirectory of the user directory. Otherwise, output files are written to the current working directory.

OPTIONS SUMMARY

Here is a short summary of the options available in arxunpak. Please refer to the detailed documentation below for a complete description.

Generic options:
     -h --help               Show supported options
     -g --debug LEVELS       Set debug output levels
     -q --quiet              Don't print log output

Search path options:
     -n --no-data-dir        Don't automatically detect data directories
     -d --data-dir DIR       Where to find the data files (can be repeated)
     -u --user-dir DIR       Where to store user-specific files
     -c --config-dir DIR     Where to store config files
     -l --list-dirs          List the searched user and data directories

Unpack options:
     -a --all Process all game assets as seen by Arx Libertatis
     -e --extract Extract archive contents (default action)
        --list List archive contents
     -m --manifest Print archive manifest
     -o --output-dir DIR Directory to extract files to

OPTIONS

--  Treat all arguments after this one as files, even if they begin with a dash.

-a, --all
    Extract or list all resources seen by the game. If no .pak files are specified on the command-line, this option is enabled by default. In this case all files are extracted to the "unpacked" subdirectory of the user directory instead of the current directory, unless the --output-dir option is used to override the output directory.

-c, --config-dir=DIR
    By default arx will store configuration files in directories specified by the XDG Base Directory Specification. This option overrides the directory where config files are loaded from and saved to.

-d, --data-dir=DIR
    Arx Libertatis will look for data files in directories specified by the XDG Base Directory Specification and in the directory containing the game executable. Besides the system-wide data directory, data files are also loaded from the user directory, which can be set by the --user-dir option. This option adds additional directories to search for data files before the detected system-wide directories, but after the user directory. To override the detected data directories combine it with the --no-data-dir option. The --data-dir option can be repeated to add multiple data directories, in which case they are searched in the order provided. See https://arx.vg/paths, the --list-dirs output and the arx(6) documentation for more details. This option only affects which archives are loaded when using the --all option -- it has no effect on .pak archives specified on the command-line.

-g, --debug=LEVELS
    This option can be used to enable debug output for debug builds of Arx Libertatis. For non-debug build, this option is not very useful but recognized for convenience.

-e, --extract
    Extract files from the processed archives. This is the default action unless the --list or --manifest options are used. By default, files are extracted to the current directory unless neither explicit .pak files nor the --all option were specified on the command-line, in which case files are extracted to the "unpacked" subdirectory of the user directory. The --output-dir option can be used to override where files are extracted to.

-h, --help
    Show a list of the supported options.

--list
    List all files and directories in the processed archives. Each file or directory is printed on a separate line. Directories are indicated using a trailing slash.

-l, --list-dirs
    Show the data, user and config search directories and how they were determined. To adjust the search directories, use the --no-data-dir, --data-dir, --user-dir and --config-dir options.

-m, --manifest
    Print checksums of files and list directories in the processed archives. Each file or directory is printed on a separate line. Directories are indicated using a trailing slash and are preceded by 34 spaces. Files are preceded by a 32-character MD5 checksum, one space and one asterisk ("*"). This format is compatible with the --check option of md5sum(1), which will simply ignore directory lines.

-n, --no-data-dir
    Disables looking for default data directories. Default user and config directories and data directories provided using the --data-dir option are still searched. This option only affects which archives are loaded when using the --all option -- it has no effect on .pak archives specified on the command-line.

-o, --output-dir DIR
    Extract all files into the given directory. By default, arxunpak will extract all files to the current directory unless neither explicit .pak files nor the --all option were specified on the command-line, in which case files are extracted to the "unpacked" subdirectory of the user directory. If the specified directory does not exist, it will be created.

-q, --quiet
    This option disables all log output. Only the archive type and extracted files and directories (or manifest) are still printed.

-u, --user-dir=DIR
    By default arx will store user files (saves, etc.) in directories specified by the XDG Base Directory Specification. This option overrides the directory where user files are loaded from. The user directory will be used to load data, overwriting resources from the system-wide data directories amd from directories specified by the --data-dir option. This option only affects which archives are loaded when using the --all option -- it has no effect on .pak archives specified on the command-line.

SEE ALSO
arx(6), arxsavetool(1)

BUGS
No known bugs.